Debian Bug report logs - #615903
LXDE menu does not populate completely on booting from CD.

version graph

Package: bootcd; Maintainer for bootcd is Bernd Schumacher <bernd.schumacher@hp.com>; Source for bootcd is src:bootcd.

Reported by: Kushal Koolwal <kushalkoolwal@gmail.com>

Date: Mon, 28 Feb 2011 22:21:02 UTC

Severity: normal

Tags: patch

Found in version bootcd/3.23

Fixed in version bootcd/3.24

Done: Bernd Schumacher <bernd.schumacher@hp.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bernd Schumacher <bernd.schumacher@hp.com>:
Bug#615903; Package bootcd. (Mon, 28 Feb 2011 22:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@gmail.com>:
New Bug report received and forwarded. Copy sent to Bernd Schumacher <bernd.schumacher@hp.com>. (Mon, 28 Feb 2011 22:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: LXDE menu does not populate completely on booting from CD.
Date: Mon, 28 Feb 2011 14:09:33 -0800
[Message part 1 (text/plain, inline)]
Package: bootcd
Version: 3.23
Severity: normal
Tags: patch

It seems that since Debian Squeeze, LXDE depends on writing to ~/.cache 
directory to completely populate the LXDE menu.

debian-squeeze:~# ls -al .cache/menus/
total 16
drwxr-xr-x 2 root root 4096 2011-02-25 15:39 .
drwxr-xr-x 3 root root 4096 2011-02-11 14:23 ..
-rw------- 1 root root 2705 2011-02-25 16:22 3df80abee392997597f2fcb4e42696df
-rwxr-xr-x 1 root root 2396 2011-02-14 14:17 733773b31cfad39c82ddca9f6bff4758

The .cache directory was not present in Debian Lenny and hence this proplem 
did not occur on it.

Solution is to exclude .cache directory in $NOT_TO_RAM variable in 
bootcdwrite.conf file. I am attaching the following patch to fix this:

--- bootcd-3.23/bootcdwrite.conf        2011-02-28 13:29:12.000000000 -0800
+++ bootcd-3.23-dev/bootcdwrite.conf    2011-02-28 13:31:58.000000000 -0800
@@ -52,7 +52,7 @@
 # exclude some files or directories from loading to ram
 # Because most people's home and root dir are to large to include 
 # in RAM, subdirectories can be excluded:
-NOT_TO_RAM="$(find $SRCDISK/home $SRCDISK/root -maxdepth 1 -mindepth 1 -type d)"
+NOT_TO_RAM="$(find $SRCDISK/home $SRCDISK/root -maxdepth 1 -mindepth 1 -type d | grep -v ".cache")"
 
 # If you are using ssh it is helpful to have a unique ssh hostkey for
 # each CD.

-- System Information:
Debian Release: 6.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages bootcd depends on:
ii  bootcd-i386               3.23           bootcd extension to create images 
ii  cpio                      2.11-4         GNU cpio -- a program to manage ar
ii  dosfstools                3.0.9-1        utilities for making and checking 
ii  fdutils                   5.5-20060227-4 Linux floppy utilities
ii  file                      5.04-5         Determines file type using "magic"
ii  genisoimage               9:1.1.11-1     Creates ISO-9660 CD-ROM filesystem
ii  realpath                  1.15           Return the canonicalized absolute 

Versions of packages bootcd recommends:
ii  wodim                         9:1.1.11-1 command line CD/DVD writing tool

Versions of packages bootcd suggests:
ii  bootcd-mkinitramfs            3.23       initramfs extension for bootcd
pn  ssh                           <none>     (no description available)

-- no debconf information
[fix-lxde-menu.patch (text/plain, attachment)]

Reply sent to Bernd Schumacher <bernd.schumacher@hp.com>:
You have taken responsibility. (Thu, 03 Mar 2011 16:36:50 GMT) Full text and rfc822 format available.

Notification sent to Kushal Koolwal <kushalkoolwal@gmail.com>:
Bug acknowledged by developer. (Thu, 03 Mar 2011 16:36:50 GMT) Full text and rfc822 format available.

Message #10 received at 615903-close@bugs.debian.org (full text, mbox):

From: Bernd Schumacher <bernd.schumacher@hp.com>
To: 615903-close@bugs.debian.org
Subject: Bug#615903: fixed in bootcd 3.24
Date: Thu, 03 Mar 2011 16:32:10 +0000
Source: bootcd
Source-Version: 3.24

We believe that the bug you reported is fixed in the latest version of
bootcd, which is due to be installed in the Debian FTP archive:

bootcd-backup_3.24_all.deb
  to main/b/bootcd/bootcd-backup_3.24_all.deb
bootcd-hppa_3.24_all.deb
  to main/b/bootcd/bootcd-hppa_3.24_all.deb
bootcd-i386_3.24_all.deb
  to main/b/bootcd/bootcd-i386_3.24_all.deb
bootcd-ia64_3.24_all.deb
  to main/b/bootcd/bootcd-ia64_3.24_all.deb
bootcd-mkinitramfs_3.24_all.deb
  to main/b/bootcd/bootcd-mkinitramfs_3.24_all.deb
bootcd_3.24.dsc
  to main/b/bootcd/bootcd_3.24.dsc
bootcd_3.24.tar.gz
  to main/b/bootcd/bootcd_3.24.tar.gz
bootcd_3.24_all.deb
  to main/b/bootcd/bootcd_3.24_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 615903@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bernd Schumacher <bernd.schumacher@hp.com> (supplier of updated bootcd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 01 Mar 2011 08:11:33 +0100
Source: bootcd
Binary: bootcd bootcd-i386 bootcd-hppa bootcd-ia64 bootcd-mkinitramfs bootcd-backup
Architecture: source all
Version: 3.24
Distribution: unstable
Urgency: low
Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
Changed-By: Bernd Schumacher <bernd.schumacher@hp.com>
Description: 
 bootcd     - run your system from cd without need for disks
 bootcd-backup - tools to backup a Debian or alien Linux installation
 bootcd-hppa - bootcd extension to create images that can boot on parisc/hppa
 bootcd-i386 - bootcd extension to create images that can boot on i386
 bootcd-ia64 - bootcd extension to create images that can boot on ia64
 bootcd-mkinitramfs - initramfs extension for bootcd
Closes: 615903
Changes: 
 bootcd (3.24) unstable; urgency=low
 .
   * bootcd-i386 now recommends bootcd-mkinitramfs, because it almost always
     needed
   * Added Configuration for LXDE, which depends on writing to ~/.cache
     since Debian Squeeze, in bootcdwrite.conf as suggested by
     Kushal Koolwal <kushalkoolwal@gmail.com>. Closes: #615903
   * changed "function extra_changes()" to "extra_changes()" in comments of
     bootcdwrite.conf because of bashism
   * Make sure we do not copy /dev/.udev/
Checksums-Sha1: 
 6284234b9ec90e2147ac24e6780e61a836e8df0b 762 bootcd_3.24.dsc
 f66117786285dbafe40284b832a9387dffcb016c 113376 bootcd_3.24.tar.gz
 e65a2023462304b1035aa21f5d9f704260ce7c4f 83026 bootcd_3.24_all.deb
 d48b2d5ae59b3f5cb7201ff9aa18e12e894295dd 15052 bootcd-i386_3.24_all.deb
 0c15836746e13980bdd62b12cc051e32cbad3b13 14912 bootcd-hppa_3.24_all.deb
 57a0f84635fe66840f87558aa68d208ed7a92765 15740 bootcd-ia64_3.24_all.deb
 a6396c6014f351c59ed65ab19c09e846f451c220 17974 bootcd-mkinitramfs_3.24_all.deb
 6af3310da98995a72e61b2bf3e656654a74d0dcf 49852 bootcd-backup_3.24_all.deb
Checksums-Sha256: 
 5750a48e97d4cd4c51198b2e76ef2a289621d257b7623a4e33220ccfb10dabe3 762 bootcd_3.24.dsc
 4908f8236c3cbf9324234dd3d834c50b3013e47bade26abf673c5787b58b0e54 113376 bootcd_3.24.tar.gz
 857ba3f011e025c5b56c8015b250fb8e1168ed3c51fc89b76569e93bedd4c701 83026 bootcd_3.24_all.deb
 e2ef601366151ae5e9e7ae8d89d4440de4f2327604989cb1dfc7cc007f3636c8 15052 bootcd-i386_3.24_all.deb
 330d6a07ff5d98b289d8bc4127297044953cc110021d38e667669eafc4b17ec7 14912 bootcd-hppa_3.24_all.deb
 8117cf1ed964127583fbd70edc90a5f4bb077fdc2b7f1912a0e0786abdf62528 15740 bootcd-ia64_3.24_all.deb
 ec17d64a93a1f16e093cca28cb067af67630060a0e29988da19f8eaeef3be4e7 17974 bootcd-mkinitramfs_3.24_all.deb
 4cb85675246134f32bca9aff8b221a11fae44c7b1f417bd5c1027075cfb887d2 49852 bootcd-backup_3.24_all.deb
Files: 
 2662f55e01a2da1ce8c6dd14c2d15d78 762 utils extra bootcd_3.24.dsc
 d36e93738d783b9a4ac647d1c406bf89 113376 utils extra bootcd_3.24.tar.gz
 e75d1580391c82442e86a07b362bd19f 83026 utils extra bootcd_3.24_all.deb
 0fb558139ca5d4cadc2512f80b064217 15052 utils extra bootcd-i386_3.24_all.deb
 175ec207eca40550e048f8d12d8fe5e8 14912 utils extra bootcd-hppa_3.24_all.deb
 5733fb3a233066b6b4978df96d7b725c 15740 utils extra bootcd-ia64_3.24_all.deb
 aa162fae83af00bd8bf94646b2356b4f 17974 utils extra bootcd-mkinitramfs_3.24_all.deb
 8f0586075c12f22e37d02bbd93de5c84 49852 utils extra bootcd-backup_3.24_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFNb7Z5INZoglnvXbwRAgfSAJ4vKsNV+hgkjV2bt4htFs1lH78VigCfdfzZ
BD8dUzt+zfDIRrE/+Wi4TKk=
=wr+O
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Apr 2011 07:36:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 18:58:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.